Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602165 - [RFE] add configurable timeout to evict client that is not releasing caps
Summary: [RFE] add configurable timeout to evict client that is not releasing caps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.0
Hardware: All
OS: All
high
low
Target Milestone: rc
: 3.2
Assignee: Venky Shankar
QA Contact: Tejas
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2018-07-17 23:20 UTC by Patrick Donnelly
Modified: 2019-01-03 19:01 UTC (History)
5 users (show)

Fixed In Version: RHEL: ceph-12.2.8-12.el7cp Ubuntu: ceph_12.2.8-10redhat1
Doc Type: Enhancement
Doc Text:
.New option: `mds_cap_revoke_eviction_timeout` This update adds a new configurable timeout for evicting clients that have not responded to capability revoke request by the Metadata Server (MDS). MDS can request clients to release its capabilities under certain conditions, such as another client requesting a capability that is currently held by a client. The client then releases its capabilities and acknowledges the MDS which can handover the capability to other clients. However, a misbehaving client might not acknowledge or could totally ignore the capability revoke request by the MDS, causing other clients to wait and thereby stalling requested I/O operations. Now, MDS can evict clients that have not responded to capability revoke requests for a configured timeout. This is disabled by default and can be enabled by setting the `mds_cap_revoke_eviction_timeout` configuration parameter.
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 35976 None None None 2018-09-13 18:56:09 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:01:39 UTC

Description Patrick Donnelly 2018-07-17 23:20:11 UTC
If a client is unresponsive and refuses to release caps, the MDS should allow for a configurable timeout (default unlimited) where it automatically evicts that client to forcibly release its caps.

Comment 15 errata-xmlrpc 2019-01-03 19:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.